Bug 252073 - new port: astro/py-astral: Python module which calculates times for various positions of the sun and moon
Summary: new port: astro/py-astral: Python module which calculates times for various p...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks: 256885
  Show dependency treegraph
 
Reported: 2020-12-23 17:45 UTC by Ivan Rozhuk
Modified: 2021-06-30 18:06 UTC (History)
2 users (show)

See Also:


Attachments
patch (1.94 KB, patch)
2020-12-23 17:45 UTC, Ivan Rozhuk
no flags Details | Diff
patch (1.88 KB, patch)
2021-06-28 12:07 UTC, Ivan Rozhuk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rozhuk 2020-12-23 17:45:24 UTC
Created attachment 220854 [details]
patch

This is 'astral' a Python module which calculates
 - Times for various positions of the sun: dawn, sunrise, solar noon,
   sunset, dusk, solar elevation, solar azimuth and rahukaalam.
 - The phase of the moon.

WWW: https://github.com/sffjunkie/astral

Version 1 required for Home Assistant
Comment 1 Ivan Rozhuk 2021-06-28 12:07:11 UTC
Created attachment 226088 [details]
patch

Update to latest version
Comment 2 Guangyuan Yang freebsd_committer 2021-06-29 20:02:38 UTC
(In reply to rozhuk.im from comment #0)

Just wanted to make sure, is

MAINTAINER=	ports@FreeBSD.org

(instead of your email) intentional?
Comment 3 Ivan Rozhuk 2021-06-29 20:14:53 UTC
(In reply to Guangyuan Yang from comment #2)

Yes, this is correct.
I do not know python and try to reduce python ports count that I maintain.
Comment 4 Guangyuan Yang freebsd_committer 2021-06-29 20:17:37 UTC
(In reply to rozhuk.im from comment #3)

Thanks for the clarification. I can take the maintainership if needed, and will take a look shortly.
Comment 5 Ivan Rozhuk 2021-06-29 20:21:20 UTC
Thanks!
Comment 6 Guangyuan Yang freebsd_committer 2021-06-29 21:52:45 UTC
(In reply to rozhuk.im from comment #5)

It is optional but encouraged to set your name at https://bugs.freebsd.org/bugzilla/userprefs.cgi?tab=account to be used in future git author fields. :)
Comment 7 Guangyuan Yang freebsd_committer 2021-06-30 18:06:18 UTC
Committed with changes at https://cgit.freebsd.org/ports/commit/?id=45a0496cb1dfee43b1abf7f5bd95bbbdc05d1969.